Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1338553 - Review Request: nitroshare - Transfer files from one device to another made extremely simple
Summary: Review Request: nitroshare - Transfer files from one device to another made e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-05-22 17:52 UTC by Raphael Groner
Modified: 2016-07-09 09:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:33:03 UTC
mgansser: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2016-05-22 17:52:56 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/nitroshare.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/nitroshare-0.3.1-1.fc24.src.rpm
Description: Transfer files from one device to another made extremely simple
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14215930

Comment 1 MartinKG 2016-05-23 09:13:17 UTC
the desktopfile should be corrected with a patch.

rpmlint -i nitroshare-0.3.1-1.fc25.src.rpm nitroshare-0.3.1-1.fc25.x86_64.rpm nitroshare-breeze-0.3.1-1.fc25.noarch.rpm nitroshare-debuginfo-0.3.1-1.fc25.x86_64.rpm nitroshare-gnome-0.3.1-1.fc25.noarch.rpm
nitroshare.x86_64: E: invalid-desktopfile /usr/share/applications/nitroshare.desktop value "Network;FileTransfer" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
.desktop file is not valid, check with desktop-file-validate

nitroshare.x86_64: E: invalid-desktopfile /usr/share/applications/nitroshare.desktop value "network;transfer" for locale string list key "Keywords" in group "Desktop Entry" does not have a semicolon (';') as trailing character
.desktop file is not valid, check with desktop-file-validate

Comment 2 Raphael Groner 2016-06-07 00:19:38 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/nitroshare.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/nitroshare-0.3.1-1.fc24.src.rpm

%changelog
* Tue Jun 07 2016 Raphael Groner <> - 0.3.1-2
- validate desktop file

https://github.com/nitroshare/nitroshare-desktop/pull/71

Comment 3 MartinKG 2016-06-07 06:54:34 UTC
(In reply to Raphael Groner from comment #2)
> Spec URL: https://raphgro.fedorapeople.org/review/util/nitroshare.spec
> SRPM URL:
> https://raphgro.fedorapeople.org/review/util/nitroshare-0.3.1-1.fc24.src.rpm
> 
> %changelog
> * Tue Jun 07 2016 Raphael Groner <> - 0.3.1-2
> - validate desktop file
> 
> https://github.com/nitroshare/nitroshare-desktop/pull/71

Issues:
=======

$ rpmlint -i /home/martin/rpmbuild/RPMS/x86_64/nitroshare-0.3.1-1.fc24.x86_64.rpm
nitroshare.x86_64: E: invalid-desktopfile /usr/share/applications/nitroshare.desktop value "Network;FileTransfer" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
.desktop file is not valid, check with desktop-file-validate

nitroshare.x86_64: E: invalid-desktopfile /usr/share/applications/nitroshare.desktop value "network;transfer" for locale string list key "Keywords" in group "Desktop Entry" does not have a semicolon (';') as trailing character
.desktop file is not valid, check with desktop-file-validate

1 packages and 0 specfiles checked; 2 errors, 0 warnings.


- Please provide a proper patch for the desktop file. It makes it easier for
  further updates.

- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

Comment 4 Raphael Groner 2016-06-07 08:36:28 UTC
Typo, sorry ...

Spec URL: https://raphgro.fedorapeople.org/review/util/nitroshare.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/nitroshare-0.3.1-2.fc24.src.rpm

%changelog
* Tue Jun 07 2016 Raphael Groner <> - 0.3.1-2
- validate desktop file

https://github.com/nitroshare/nitroshare-desktop/pull/71

Comment 5 MartinKG 2016-06-07 10:54:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/nitroshare/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nitroshare, nitroshare-breeze, nitroshare-gnome
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     nitroshare-breeze , nitroshare-gnome , nitroshare-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: nitroshare-0.3.1-2.fc25.x86_64.rpm
          nitroshare-breeze-0.3.1-2.fc25.noarch.rpm
          nitroshare-gnome-0.3.1-2.fc25.noarch.rpm
          nitroshare-debuginfo-0.3.1-2.fc25.x86_64.rpm
          nitroshare-0.3.1-2.fc25.src.rpm
nitroshare-breeze.noarch: W: no-documentation
nitroshare-gnome.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (debuginfo)
-------------------
Checking: nitroshare-debuginfo-0.3.1-2.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------

sh: /usr/bin/python: No such file or directory
nitroshare-gnome.noarch: W: no-documentation
nitroshare-breeze.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


Requires
--------
nitroshare-debuginfo (rpmlib, GLIBC filtered):

nitroshare (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

nitroshare-gnome (rpmlib, GLIBC filtered):
    /bin/sh
    gnome-icon-theme

nitroshare-breeze (rpmlib, GLIBC filtered):
    /bin/sh
    breeze-icon-theme


Provides
--------
nitroshare-debuginfo:
    nitroshare-debuginfo
    nitroshare-debuginfo(x86-64)

nitroshare:
    application()
    application(nitroshare.desktop)
    nitroshare
    nitroshare(x86-64)

nitroshare-gnome:
    nitroshare-gnome

nitroshare-breeze:
    nitroshare-breeze


Source checksums
----------------
https://github.com/nitroshare/nitroshare-desktop/archive/0.3.1.tar.gz#/nitroshare-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : d7108e5de9915c078fdc766e40f836eb1bdcd16775bad90445769b616ae4305b
  CHECKSUM(SHA256) upstream package : d7108e5de9915c078fdc766e40f836eb1bdcd16775bad90445769b616ae4305b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn ../SRPMS/nitroshare-0.3.1-2.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package APPROVED

Comment 6 Raphael Groner 2016-06-07 11:18:39 UTC
Thanks for the review!

Comment 7 Gwyn Ciesla 2016-06-07 19:09:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nitroshare

Comment 8 Fedora Update System 2016-06-08 08:46:59 UTC
nitroshare-0.3.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0d64d86f6

Comment 9 Fedora Update System 2016-06-08 08:47:06 UTC
nitroshare-0.3.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9c517c78

Comment 10 Fedora Update System 2016-06-08 08:47:09 UTC
nitroshare-0.3.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9fe7e4e3c3

Comment 11 Fedora Update System 2016-06-08 17:54:59 UTC
nitroshare-0.3.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0d64d86f6

Comment 12 Fedora Update System 2016-06-09 04:47:57 UTC
nitroshare-0.3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9fe7e4e3c3

Comment 13 Fedora Update System 2016-06-09 04:51:18 UTC
nitroshare-0.3.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9c517c78

Comment 14 Nathan Osman 2016-06-11 05:35:35 UTC
Wow - this is exciting!

As the author of the program, I'd like to point something important out before it becomes an issue. A lot of the internal graphics that NitroShare uses are SVG files and therefore you will want to add a Requires for "qt5-qtsvg" or some images won't display correctly.

The reason it isn't automatically detected as a required package is because the application doesn't directly link against the library but rather loads it as a plugin (through Qt's image API).

The next version of NitroShare hopefully won't have this problem since the build script forces the application to link against the library.

Comment 15 Raphael Groner 2016-06-11 06:17:00 UTC
Hi Nathan,
I'm happy to can help with development. Thanks for your feedback and the hint to qt5-qtsvg. You do not document it somewhere else, on GitHub, right? If so, please fix. I'll fix the additional dependency soonish, is that a hard requirement or just a recommendation?

Comment 17 Nathan Osman 2016-06-11 07:11:05 UTC
Although the application will run without the library, some icons will not display correctly and the logo in the About dialog will be missing. I would consider it a hard requirement.

The reason it isn't documented is because the problem was discovered after the last release. It has been fixed in Git and will no longer be a problem when the next version is released.

I've got Fedora 23 in a virtual machine, so I will test out the package hopefully sometime this weekend to confirm that everything works correctly.

Thanks again.

Comment 18 Fedora Update System 2016-06-12 14:56:29 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f9ce37df

Comment 19 Fedora Update System 2016-06-12 14:56:36 UTC
nitroshare-0.3.1-3.20160612git930c9b7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c812458f3c

Comment 20 Fedora Update System 2016-06-12 14:56:41 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5479660d5a

Comment 21 Fedora Update System 2016-06-12 17:51:44 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5479660d5a

Comment 22 Raphael Groner 2016-06-12 20:10:40 UTC
Well, that's now nearly v0.3.2 as promised on upstream homepage.

Comment 23 Fedora Update System 2016-06-12 23:18:51 UTC
nitroshare-0.3.1-3.20160612git930c9b7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c812458f3c

Comment 24 Fedora Update System 2016-06-12 23:51:39 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f9ce37df

Comment 25 Nathan Osman 2016-06-13 07:37:40 UTC
I installed nitroshare-0.3.1-3.20160612git930c9b7.fc23 on my Fedora 23 Workstation VM and tested sending and receiving files. Everything seems to work perfectly and the icons/images display without any problem.

I am hoping to have version 0.3.2 released around the end of the month or the beginning of July, depending on how things go.

Comment 26 Raphael Groner 2016-06-13 07:58:11 UTC
Nathan, thanks for your support. We'll get a notification from Anitya when v0.3.2 gets in the game. That's the reason I chose to use 0.3.1-3 instead of 0.3.2-0.1 to not confuse upstream monitoring cause of a bug with pre-releases.

Comment 27 Fedora Update System 2016-06-18 18:33:00 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-06-18 18:37:51 UTC
nitroshare-0.3.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-06-20 20:24:45 UTC
nitroshare-0.3.1-3.20160612git930c9b7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-06-27 19:47:59 UTC
nitroshare-0.3.1-3.20160612git930c9b7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Nathan Osman 2016-07-09 07:15:30 UTC
Alright, the 0.3.2 release is out now. Please let me know if you have any questions and I would be more than happy to answer them.

Comment 32 Raphael Groner 2016-07-09 09:17:16 UTC
(In reply to Nathan Osman from comment #31)
> Alright, the 0.3.2 release is out now. Please let me know if you have any
> questions and I would be more than happy to answer them.

See bug #1354081.


Note You need to log in before you can comment on or make changes to this bug.